"""Flask and other extensions instantiated here.

To avoid circular imports with views and create_app(), extensions are instantiated here. They will be initialized
(calling init_app()) in application.py.
"""
import os
from logging import getLogger
from flask_httpauth import HTTPBasicAuth
from gammu_smsd_api.tools.GammuFlask import GammuFlask
import gammu_smsd_api as app_root

LOG = getLogger(__name__)
APP_ROOT_FOLDER = os.path.abspath(os.path.dirname(app_root.__file__))
MIGRATE_ROOT_FOLDER = os.path.abspath(os.path.join(APP_ROOT_FOLDER, 'migrations'))


http_basic_auth = HTTPBasicAuth()
gammu_flask = GammuFlask()
